Subject: Re: bug#9674: 24.0.90; Closing an emacsclient frame always kills daemon

From: Glenn Morris <[email-masked]>
Date: Wed, 05 Oct 2011 13:54:48 -0400

Damien Cassou wrote:

> - I also compiled with --with-x-toolkit=lucid, but I must have made
> something wrong as I also got the "Warning: due to a long standing
> Gtk+ bug..." error message when I started emacs.

This seems rather backward. I would have expected the issue that message
refers to to be the actual problem that you are seeing. There's no way
you can get that message in a non-GTK build. Maybe your system was
lacking the necessary libraries for a Lucid toolkit build and defaulted
to gtk? (I don't even know if that can happen.)

Please try a fresh Lucid build again, paying attention to the configure
output. Check in src/config.h that USE_GTK is not defined.

If that works, then I think it might be the same old gtk problem that
the message refers to.

If this issue affects gtk3 as well (I seem to recall it does?) then
emacs.c should also give that message for gtk3 (if it does not already).